pgfx_canvas.c File Reference

Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# /home/micah/picogui/pg1/client/c/src/pgfx_canvas.c File Reference

`#include "clientlib.h"`

## Functions
pgprim | _pgfxcanvas_pixel (pgcontext c, pgu x, pgu y)
pgprim | _pgfxcanvas_line (pgcontext c, pgu x1, pgu y1, pgu x2, pgu y2)
pgprim | _pgfxcanvas_rect (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxcanvas_blur (pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu radius)
pgprim | _pgfxcanvas_frame (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxcanvas_slab (pgcontext c, pgu x, pgu y, pgu w)
pgprim | _pgfxcanvas_bar (pgcontext c, pgu x, pgu y, pgu h)
pgprim | _pgfxcanvas_ellipse (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxcanvas_fellipse (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxcanvas_fpolygon (pgcontext c, pghandle array)
pgprim | _pgfxcanvas_text (pgcontext c, pgu x, pgu y, pghandle string)
pgprim | _pgfxcanvas_bitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxcanvas_rotatebitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxcanvas_tilebitmap (pgcontext c, pgu x, pgu y, pgu w, pgu h, pghandle bitmap)
pgprim | _pgfxcanvas_gradient (pgcontext c, pgu x, pgu y, pgu w, pgu h, pgu angle, pgcolor c1, pgcolor c2)
pgprim | _pgfxcanvas_setcolor (pgcontext c, pgcolor color)
pgprim | _pgfxcanvas_setfont (pgcontext c, pghandle font)
pgprim | _pgfxcanvas_setlgop (pgcontext c, short lgop)
pgprim | _pgfxcanvas_setangle (pgcontext c, pgu angle)
pgprim | _pgfxcanvas_setsrc (pgcontext c, pgu x, pgu y, pgu w, pgu h)
pgprim | _pgfxcanvas_setmapping (pgcontext c, pgu x, pgu y, pgu w, pgu h, short type)
pgprim | _pgfxcanvas_setclip (pgcontext c, pgu x, pgu y, pgu w, pgu h)
void | _pgfxcanvas_update (pgcontext c)
pgcontext | pgNewCanvasContext (pghandle canvas, short mode)
| Create a context for rendering to a canvas.

## Function Documentation

pgprim _pgfxcanvas_bar | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_bitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

pgprim _pgfxcanvas_blur | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pgu | radius
| ) |

pgprim _pgfxcanvas_ellipse | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_fellipse | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_fpolygon | ( | pgcontext | c,
|  | pghandle | array
| ) |

pgprim _pgfxcanvas_frame | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_gradient | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pgu | angle,
|  | pgcolor | c1,
|  | pgcolor | c2
| ) |

pgprim _pgfxcanvas_line | ( | pgcontext | c,
|  | pgu | x1,
|  | pgu | y1,
|  | pgu | x2,
|  | pgu | y2
| ) |

pgprim _pgfxcanvas_pixel | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y
| ) |

pgprim _pgfxcanvas_rect | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_rotatebitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

pgprim _pgfxcanvas_setangle | ( | pgcontext | c,
|  | pgu | angle
| ) |

pgprim _pgfxcanvas_setclip | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_setcolor | ( | pgcontext | c,
|  | pgcolor | color
| ) |

pgprim _pgfxcanvas_setfont | ( | pgcontext | c,
|  | pghandle | font
| ) |

pgprim _pgfxcanvas_setlgop | ( | pgcontext | c,
|  | short | lgop
| ) |

pgprim _pgfxcanvas_setmapping | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | short | type
| ) |

pgprim _pgfxcanvas_setsrc | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h
| ) |

pgprim _pgfxcanvas_slab | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w
| ) |

pgprim _pgfxcanvas_text | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pghandle | string
| ) |

pgprim _pgfxcanvas_tilebitmap | ( | pgcontext | c,
|  | pgu | x,
|  | pgu | y,
|  | pgu | w,
|  | pgu | h,
|  | pghandle | bitmap
| ) |

void _pgfxcanvas_update | ( | pgcontext | c | ) |

pgcontext pgNewCanvasContext | ( | pghandle | canvas,
|  | short | mode
| ) |

  | Create a context for rendering to a canvas. Parameters:
  canvas | Handle to a canvas widget
  mode | Rendering mode: PGFX_IMMEDIATE or PGFX_PERSISTENT
Returns: A pgcontext that can be used with PGFX primitives. It must be deleted with pgDeleteContext See also: PGFX_IMMEDIATE, PGFX_PERSISTENT, PG_WIDGET_CANVAS, pgDeleteContext